#!/usr/bin/env python3
"""
Form(s) for the quest page.
"""
from django import forms

class DiceCallForm(forms.Form):
	"""
	The form for the QM making dice calls.
	"""
	diceNum = forms.IntegerField(min_value=1, max_value=99)
	diceSides = forms.IntegerField(min_value=1, max_value=99)
	diceMod = forms.IntegerField(
		min_value=-999, max_value=999, required=False)
	diceChal = forms.IntegerField(
		min_value=1, max_value=999, required=False)
	diceRollsTaken = forms.IntegerField(
		min_value=1, max_value=99, required=False)
	diceStrict = forms.BooleanField(required=False)
